<script>
    import NftMetadataOverview from '../../../../Components/NftMetadataOverview.svelte';
    import NftCard from '../../../../Components/NftCard.svelte';

    /** @type {import('./$types').PageData} */
    export let data;
    let HTMLDATA = data.HTMLDATA;
    let metadata = data.metadata;
    let nftID = data.nftID;

    export /**
     * @type {any}
     */
    let names = HTMLDATA.names;

    /**
     * @param {string} id
     */
    export function id_or_name(id) {
        return id in names ? names[id] : id;
    }
</script>

<div>
    <div class="flex justify-center w-full ">
        <NftMetadataOverview nft_metadata_full={metadata} />
    </div>
    <div class="flex justify-center w-full ">
        <div class="switch-tab-border ">
            <div class="flex text-lg font-semibold">
                <a href="/nft/m/{nftID}">
                    <div
                        class="active px-3 cursor-pointer py-[1px] border-l-2 rounded-l-md border-y-2 border-solid border-black"
                    >
                        <h2>NFTs</h2>
                    </div></a
                >
                <a href="#">
                    <div class=" px-3 cursor-pointer py-[1px] border-2 border-solid border-black">
                        <h2>Lotto Details</h2>
                    </div>
                </a>
                <a href="#">
                    <div
                        class="px-3 cursor-pointer py-[1px] border-r-2 rounded-r-md border-y-2 border-l-0 border-solid border-black"
                    >
                        <h2>Raw Data</h2>
                    </div>
                </a>
            </div>
        </div>
    </div>
    <h1 class="flex justify-center font-bold text-xl">
        {HTMLDATA.nft_list.length} NFTs in this collection:
    </h1>
    <div class="grid grid-cols-3 my-3 mx-5 gap-10">
        {#each HTMLDATA.nft_list as nft, index}
            <div class="basis-1/4  my-3">
                <NftCard nft_assets={nft} />
            </div>
        {/each}
    </div>
    <br />
    <br />
    <br />
    <br />
    <br />
    <br />
    <br />
    <br />
    <br />
    <br />
    <br />
    <br />
</div>

<style>
    td {
        padding-left: 96px;
    }
</style>
